# Create brand

Create brand properties for the specified account.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you must specify the `/accounts/{accountID}/branding.write` scope.

## POST

```
/accounts/{accountID}/branding
```

## Request Example

```shell
curl -X POST "https://api.moov.io/accounts/{accountID}/branding" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{
  "colors": {
    "dark": {
      "accent": "#111111"
    },
    "light": {
      "accent": "#111111"
    }
  }
}'
```

## SDK Request Examples

### TypeScript
```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.branding.create({
    accountID: "0a6ae927-b52b-4ef4-86d0-288f27479817",
    brandProperties: {
      colors: {
        dark: {
          accent: "#111111",
        },
        light: {
          accent: "#111111",
        },
      },
    },
  });

console.log(result);
}

run();
```

### PHP
```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$brandProperties = new Components\BrandProperties(
    colors: new Components\BrandColors(
        dark: new Components\BrandColor(
            accent: '#111111',
        ),
        light: new Components\BrandColor(
            accent: '#111111',
        ),
    ),
);

$response = $sdk->branding->create(
    accountID: '0a6ae927-b52b-4ef4-86d0-288f27479817',
    brandProperties: $brandProperties
);

if ($response->brandProperties !== null) {
    // handle response
}
```

### Java
```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.*;
import io.moov.sdk.models.errors.BrandValidationError;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.CreateBrandResponse;
import java.lang.Exception;

public class Application {
    public static void main(String[] args) throws GenericError, BrandValidationError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

CreateBrandResponse res = sdk.branding().create()
                .accountID("0a6ae927-b52b-4ef4-86d0-288f27479817")
                .brandProperties(BrandProperties.builder()
                    .colors(BrandColors.builder()
                        .dark(BrandColor.builder()
                            .accent("#111111")
                            .build())
                        .light(BrandColor.builder()
                            .accent("#111111")
                            .build())
                        .build())
                    .build())
                .call();

if (res.brandProperties().isPresent()) {
            System.out.println(res.brandProperties().get());
        }
    }
}
```

### Python
```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.branding.create(account_id="0a6ae927-b52b-4ef4-86d0-288f27479817", colors=components.BrandColors(
        dark=components.BrandColor(
            accent="#111111",
        ),
        light=components.BrandColor(
            accent="#111111",
        ),
    ))

# Handle response
    print(res)
```

### Ruby
```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.branding.create(account_id: '0a6ae927-b52b-4ef4-86d0-288f27479817', brand_properties: Models::Components::BrandProperties.new(
  colors: Models::Components::BrandColors.new(
    dark: Models::Components::BrandColor.new(
      accent: '#111111'
    ),
    light: Models::Components::BrandColor.new(
      accent: '#111111'
    )
  )
))

unless res.brand_properties.nil?
  # handle response
end
```

### C#
```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Branding.CreateAsync(
    accountID: "0a6ae927-b52b-4ef4-86d0-288f27479817",
    body: new BrandProperties() {
        Colors = new BrandColors() {
            Dark = new BrandColor() {
                Accent = "#111111",
            },
            Light = new BrandColor() {
                Accent = "#111111",
            },
        },
    }
);

// handle response
```

## Response Examples

### Success Response
```json
{
  "colors": {
    "dark": {
      "accent": "#111111"
    },
    "light": {
      "accent": "#111111"
    }
  }
}
```

### Error Response
**400 Bad Request**
```json
{
  "error": "string"
}
```

**401 Unauthorized**
```json
{
  "error": "string"
}
```

**404 Not Found**
```json
{
  "error": "string"
}
```

**409 Conflict**
```json
{
  "error": "string"
}
```

**422 Unprocessable Entity**
```json
{
  "colors": {
    "light": {
      "accent": "string"
    },
    "dark": {
      "accent": "string"
    }
  }
}
```

### Rate Limiting Response
```json
{
  "error": "string"
}
```

### Internal Server Error Response
```json
{
  "error": "string"
}
```

---  
Set the header to v2026.07.00 to use the API described in this specification.
